> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.pinnacle.sh/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.pinnacle.sh/_mcp/server.

# Get Contact

GET https://api.pinnacle.sh/contacts

Retrieve contact information for a given number.

Reference: https://docs.pinnacle.sh/api-reference/contacts/get

## Authentication

- `PINNACLE-API-KEY` header (required) — API Key authentication via header

## Request

### Query parameters

- `id` (string, optional) — Unique identifier of a specific contact you want to retrieve.&#x20; Either this parameter or `phoneNumber` must be provided, but not both.
- `phoneNumber` (string, optional) — Phone number you want to look up contact information for, provided in URL-encoded E.164 format with %2B prefix instead of +.

## Response

### 200

Successfully retrieved.

- `id` (string, required) — Unique ID of the contact. This identifier is a string that always begins with the prefix `co_`, for example: `co_1234567890`.
- `phoneNumber` (string, required) — Contact's phone number in E.164 format.
- `description` (string, optional) — Additional information about the contact.
- `email` (string, optional) — Contact's email address, if available.
- `name` (string, optional) — Full name of the contact, if available.
- `tags` (list of string, optional) — List of tags associated with the contact.

## Errors

### 400 Bad Request Error

Validation failed. The payload has missing required fields and/or invalid types.&#x20; See [https://zod.dev/error-formatting](https://zod.dev/error-formatting) for more information.

- `description` (string, required) — Human-readable summary of validation failures.
- `errors` (ZodErrorErrors, required) — Structured dictionary of issues containing two main sections: - `errors`: Array of global validation errors not tied to specific fields - `properties`: Object mapping field names to their specific validation errors, where each field contains an `errors` array

### 401 Unauthorized Error

The request lacks valid authentication credentials or the provided credentials are invalid.&#x20; Ensure you're including a valid API key in the request headers and that your account has the necessary permissions to access this endpoint.

- `error` (string, required) — Human-readable description of the error that occurred, corresponding to the HTTP status code.

### 403 Forbidden Error

Your subscription does not include access to this feature.&#x20; This occurs when attempting to use functionality that requires a higher subscription tier. Please upgrade your subscription to access this feature.

- `error` (string, required) — Human-readable description of the error that occurred, corresponding to the HTTP status code.

### 404 Not Found Error

The requested resource could not be found.&#x20; This may occur if the identifier is incorrect, the resource has been deleted, or you don't have permission to access it.

- `error` (string, required) — Human-readable description of the error that occurred, corresponding to the HTTP status code.

### 500 Internal Server Error

An unexpected error occurred on Pinnacle's servers while processing your request.&#x20; If this error persists, please contact support with the request details.

- `error` (string, required) — Human-readable description of the error that occurred, corresponding to the HTTP status code.

## Types

### ZodErrorErrors

Structured dictionary of issues containing two main sections: - `errors`: Array of global validation errors not tied to specific fields - `properties`: Object mapping field names to their specific validation errors, where each field contains an `errors` array

## Examples

**Response**

```json
{
  "id": "co_1234567890",
  "phoneNumber": "+14154537890",
  "description": "Friend from work",
  "email": "alvaroope@pinnacle.sh",
  "name": "Alva Roope",
  "tags": [
    "friend",
    "work"
  ]
}
```

**SDK Code**

```python Contact
import requests

url = "https://api.pinnacle.sh/contacts"

querystring = {"id":"co_1234567890"}

headers = {"PINNACLE-API-KEY": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Contact
const url = 'https://api.pinnacle.sh/contacts?id=co_1234567890';
const options = {method: 'GET', headers: {'PINNACLE-API-KEY': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Contact
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.pinnacle.sh/contacts?id=co_1234567890"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("PINNACLE-API-KEY", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Contact
require 'uri'
require 'net/http'

url = URI("https://api.pinnacle.sh/contacts?id=co_1234567890")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["PINNACLE-API-KEY"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Contact
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.pinnacle.sh/contacts?id=co_1234567890")
  .header("PINNACLE-API-KEY", "<apiKey>")
  .asString();
```

```php Contact
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.pinnacle.sh/contacts?id=co_1234567890', [
  'headers' => [
    'PINNACLE-API-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Contact
using RestSharp;

var client = new RestClient("https://api.pinnacle.sh/contacts?id=co_1234567890");
var request = new RestRequest(Method.GET);
request.AddHeader("PINNACLE-API-KEY", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Contact
import Foundation

let headers = ["PINNACLE-API-KEY": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.pinnacle.sh/contacts?id=co_1234567890")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```